<?php
include 'database/db.php';
include 'Utils.php';
$_SESSION['year'] = '2022';

if ($_SESSION['year'] == '2022') {
    include 'queries_23.php';
    $regions_query =  "SELECT DISTINCT(l.code) as region_code, l.name as region_name  FROM students student
    LEFT JOIN location l ON student.region_code = l.code AND l.type = 'R' 
    WHERE l.code != 'NULL'
      GROUP BY student.region_code ORDER BY region_name ASC";
} else if ($_SESSION['year'] == '2021') {
    include 'queries.php';
    $regions_query = "SELECT DISTINCT region_name, region_name as region_code From scores_2021 GROUP BY region_name ORDER BY region_name ASC";
}

$regions_result = mysqli_query($_SESSION['db_con'], $regions_query);
$regions_row = mysqli_fetch_assoc($regions_result);

?>
<!doctype html>
<!--[if lt IE 7]>      <html class="no-js lt-ie9 lt-ie8 lt-ie7" lang=""> <![endif]-->
<!--[if IE 7]>         <html class="no-js lt-ie9 lt-ie8" lang=""> <![endif]-->
<!--[if IE 8]>         <html class="no-js lt-ie9" lang=""> <![endif]-->
<!--[if gt IE 8]><!-->
<html class="no-js" lang=""> <!--<![endif]-->

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>NST Dashboard</title>
    <meta name="description" content="NST Dashboard">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <link rel="apple-touch-icon" href="images/fav.jpg">
    <link rel="shortcut icon" href="images/fav.jpg">

    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/normalize.css@8.0.0/normalize.min.css">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.1.3/dist/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/font-awesome@4.7.0/css/font-awesome.min.css">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/gh/lykmapipo/themify-icons@0.1.2/css/themify-icons.css">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/pixeden-stroke-7-icon@1.2.3/pe-icon-7-stroke/dist/pe-icon-7-stroke.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/flag-icon-css/3.2.0/css/flag-icon.min.css">
    <link rel="stylesheet" href="assets/css/cs-skin-elastic.css">
    <link rel="stylesheet" href="assets/css/style.css">
    <link href="https://cdn.jsdelivr.net/npm/chartist@0.11.0/dist/chartist.min.css" rel="stylesheet">
    <link href="https://cdn.jsdelivr.net/npm/jqvmap@1.5.1/dist/jqvmap.min.css" rel="stylesheet">

    <script type="text/javascript">
        function updateYear(year, page, area) {
            $.ajax({
                url: 'year_update.php?year=' + year + '&page=' + page,
                success: function(data) {
                    $(area).html(data);
                }
            });
        }
    </script>
    <script type="text/javascript">
        function updatePage(location_id, location_type, area) {
            $.ajax({
                url: 'queries_update.php?location_id=' + location_id +
                    '&location_type=' + location_type,
                success: function(data) {
                    $(area).html(data);
                }
            });
        }
    </script>
    <script type="text/javascript">
        function filterLocations(parent_type, parent_id, child_type, area, page) {
            $.ajax({
                url: 'filter_locations.php?parent_id=' + parent_id + '&child_type=' + child_type +
                    '&parent_type=' + parent_type + '&page=' + page,
                success: function(data) {
                    $(area).html(data);
                }
            });
        }
    </script>
    <script type="text/javascript">
        function renderRegion(area) {
            $.ajax({
                url: 'render_region.php',
                success: function(data) {
                    $(area).html(data);
                }
            });
        }
    </script>
</head>

<body>
    <!-- Left Panel -->
    <?php include 'side_menu.php'; ?>
    <!-- /#left-panel -->
    <!-- Right Panel -->
    <div id="right-panel" class="right-panel">
        <!-- Header-->
        <header id="header" class="header">
        <?php include 'top_bar.php'; ?>
        </header>
        <!-- /#header -->
        <!-- Breadcrumbs-->
        <div class="breadcrumbs">
            <div class="breadcrumbs-inner">
                <div class="row m-0">
                    <div class="col-sm-4">
                        <div class="page-header float-left">
                            <div class="page-title">
                                <h1>Dashboard</h1>
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-8">
                        <div class="page-header float-right">
                            <div class="page-title">
                                <ol class="breadcrumb text-right">
                                    <li class="active">
                                        <select name="select_year" id="select_year" class="form-control-lg form-control" onChange="updateYear(this.value, 'index', '#info_board_div'); renderRegion('#regions_div');">
                                            <option value="2022">2022</option>
                                            <option value="2021">2021</option>
                                        </select>
                                    </li>
                                    <li class="active">
                                        <div id="regions_div">
                                            <?php include 'region.php'; ?>
                                        </div>
                                    </li>
                                    <li class="active">
                                        <div id="districts_div">

                                        </div>
                                    </li>
                                </ol>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- /.breadcrumbs-->
        <!-- Content -->
        <div class="content">
            <div class="animated fadeIn" id="info_board_div">

                <?php include 'index_content.php'; ?>

            </div><!-- .animated -->

            <!-- <div class="animated fadeIn">
                <div class="col-lg-12">
                    <div class="card">
                        <div class="card-body">
                            <h4 class="mb-3">Regional Mean Scores</h4>
                            <canvas id="regmeanbarChart"></canvas>
                        </div>
                    </div>
                </div>
            </div> -->
        </div>
        <!-- /.content -->
        <div class="clearfix"></div>
        <?php include 'footer.php'; ?>
    </div>
    <!-- /#right-panel -->

    <!-- Scripts -->
    <script src="https://cdn.jsdelivr.net/npm/jquery@2.2.4/dist/jquery.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.14.4/dist/umd/popper.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.1.3/dist/js/bootstrap.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/jquery-match-height@0.7.2/dist/jquery.matchHeight.min.js"></script>

    <!--  Chart js -->
    <script src="https://cdn.jsdelivr.net/npm/chart.js@2.7.3/dist/Chart.bundle.min.js"></script>
    <script>
        (function($) {
            "use strict";

            //doughut chart
            var ctx = document.getElementById("mathDoughutChart");
            ctx.height = 150;
            var myChart = new Chart(ctx, {
                type: 'doughnut',
                data: {
                    datasets: [{
                        data: [<?php echo $math_below_basic_count_percentage; ?>,
                            <?php echo $math_basic_count_percentage; ?>,
                            <?php echo $math_proficient_count_percentage; ?>,
                            <?php echo $math_advanced_count_percentage; ?>
                        ],
                        backgroundColor: [
                            "rgba(0, 194, 146,0.9)",
                            "rgba(247,228,30,1)",
                            "rgba(224,49,30,1)",
                            "rgba(0,24,255,0.75)"
                        ],
                        hoverBackgroundColor: [
                            "rgba(0, 194, 146,0.9)",
                            "rgba(247,228,30,1)",
                            "rgba(224,49,30,1)",
                            "rgba(0,24,255,0.75)"
                        ]

                    }],
                    labels: [
                        "Below Basic",
                        "Basic",
                        "Proficient",
                        "Advanced"
                    ]
                },
                options: {
                    responsive: true
                }
            });

            //doughut chart
            var ctx = document.getElementById("englishDoughutChart");
            ctx.height = 150;
            var myChart = new Chart(ctx, {
                type: 'doughnut',
                data: {
                    datasets: [{
                        data: [<?php echo $english_below_basic_count_percentage; ?>, <?php echo $english_basic_count_percentage; ?>, <?php echo $english_proficient_count_percentage; ?>, <?php echo $english_advanced_count_percentage; ?>],
                        backgroundColor: [
                            "rgba(0, 194, 146,0.9)",
                            "rgba(247,228,30,1)",
                            "rgba(224,49,30,1)",
                            "rgba(0,24,255,0.75)"
                        ],
                        hoverBackgroundColor: [
                            "rgba(0, 194, 146,0.9)",
                            "rgba(247,228,30,1)",
                            "rgba(224,49,30,1)",
                            "rgba(0,24,255,0.75)"
                        ]

                    }],
                    labels: [
                        "Below Basic",
                        "Basic",
                        "Proficient",
                        "Advanced"
                    ]
                },
                options: {
                    responsive: true
                }
            });

        })(jQuery);
    </script>
    <!--Flot Chart-->
    <script src="https://cdn.jsdelivr.net/npm/jquery.flot@0.8.3/jquery.flot.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/flot-spline@0.0.1/js/jquery.flot.spline.min.js"></script>
</body>

</html>