<?php
include 'database/db.php';
include 'Utils.php';

$count_query = "SELECT 
sum(case when subject_code = '0301' AND ((score/35)*100) <= 49 then 1 else 0 end) AS math_below_basic,
sum(case when subject_code = '0011' AND ((score/35)*100) <= 49 then 1 else 0 end) AS english_below_basic,
sum(case when subject_code = '0301' AND ((score/35)*100) >= 50 AND ((score/35)*100) < 66 then 1 else 0 end) AS math_basic,
sum(case when subject_code = '0011' AND ((score/35)*100) >= 50 AND ((score/35)*100) < 66 then 1 else 0 end) AS english_basic,
sum(case when subject_code = '0301' AND ((score/35)*100) >= 66 AND ((score/35)*100) < 80 then 1 else 0 end) AS math_proficient,
sum(case when subject_code = '0011' AND ((score/35)*100) >= 66 AND ((score/35)*100) < 80 then 1 else 0 end) AS english_proficient,
sum(case when subject_code = '0301' AND ((score/35)*100) >= 80 then 1 else 0 end) AS math_advanced,
sum(case when subject_code = '0011' AND ((score/35)*100) >= 80 then 1 else 0 end) AS english_advanced
FROM scores_2021";
$count_result = mysqli_query($_SESSION['db_con'], $count_query);
$count_row = mysqli_fetch_array($count_result);

$math_below_basic_count = $count_row['math_below_basic'];
$english_below_basic_count = $count_row['english_below_basic'];
$math_basic_count = $count_row['math_basic'];
$english_basic_count = $count_row['english_basic'];
$math_proficient_count = $count_row['math_proficient'];
$english_proficient_count = $count_row['english_proficient'];
$math_advanced_count = $count_row['math_advanced'];
$english_advanced_count = $count_row['english_advanced'];

$math_total_students = $math_below_basic_count + $math_basic_count + $math_proficient_count + $math_advanced_count;
$english_total_students = $english_below_basic_count + $english_basic_count + $english_proficient_count + $english_advanced_count;

$students_query = "SELECT l.id, l.first_name, s.score as english_total FROM learners l 
LEFT JOIN scores s ON s.student_id = l.nst_index_number AND s.quest_code = 'total' ORDER BY l.first_name ASC";
$students_result = mysqli_query($_SESSION['db_con'], $students_query);
$students_row = mysqli_fetch_assoc($students_result);

$schools_query = "SELECT school_name, region_name, district_name, district_code,
sum(case when subject_code = '0301' then 1 else 0 end) AS math_students,
sum(case when subject_code = '0301' then score else 0 end) AS math_total_score,
sum(case when subject_code = '0011' then 1 else 0 end) AS english_students, 
sum(case when subject_code = '0011' then score else 0 end) AS english_total_score
FROM scores_2021 GROUP BY school_name, district_code ORDER BY math_total_score DESC, english_total_score DESC";
$school_result = mysqli_query($_SESSION['db_con'], $schools_query);
$school_row = mysqli_fetch_assoc($school_result);

$english_all_percentages_sum = 0;
$english_all_percentages_total = 0;
$math_all_percentages_sum = 0;
$math_all_percentages_total = 0;
do {

    $english_percentage = round(fdiv($school_row['english_total_score'], ($school_row['english_students'] * 35)) * 100, 2);
    if (is_numeric($english_percentage) && !is_nan($english_percentage)){
        $english_all_percentages_sum = $english_all_percentages_sum + $english_percentage;
        $english_all_percentages_total++;
    }
    error_log("english_percentage " . $english_percentage);
    error_log("english_all_percentages_sum " . $english_all_percentages_sum);

    $maths_percentage = fdiv($school_row['math_total_score'], ($school_row['math_students'] * 35)) * 100;
    if (is_numeric($maths_percentage) && !is_nan($maths_percentage)){
        $math_all_percentages_sum = $math_all_percentages_sum + $maths_percentage;
        $math_all_percentages_total++;
    }

    $proficiency = '';
    $proficiency_math = '';

    if ($english_percentage <= 49) {
        $proficiency = 'Below Basic (BB)';
    } else if ($english_percentage >= 50 && $english_percentage < 66) {
        $proficiency = 'Basic (B)';
    } else if ($english_percentage >= 66 && $english_percentage < 80) {
        $proficiency = '<span class="badge badge-complete">Proficient (P)</span>';
    } else if ($english_percentage >= 80) {
        $proficiency = '<span class="badge badge-pending">Advanced (A)</span>';
    }

    if ($maths_percentage <= 49) {
        $proficiency_math = 'Below Basic (BB)';
    } else if ($maths_percentage >= 50 && $maths_percentage < 66) {
        $proficiency_math = 'Basic (B)';
    } else if ($maths_percentage >= 66 && $maths_percentage < 80) {
        $proficiency_math = '<span class="badge badge-complete">Proficient (P)</span>';
    } else if ($maths_percentage >= 80) {
        $proficiency_math = '<span class="badge badge-pending">Advanced (A)</span>';
    }

    if (!empty($school_row['school_name']))
        $schools_table = $schools_table .  "<tr>" .
            "<td><a href=\"school.php?sn=" . $school_row['school_name'] . "\">" .  strtoupper($school_row['school_name']) . "</td>" .
            "<td>" . $school_row['region_name'] . " / " . $school_row['district_name'] . "</td>" .
            "<td>" . $school_row['english_students'] . "</td>" .
            "<td>" . round($english_percentage, 2) . "</td>" .
            "<td>" . $proficiency . "</td>" .
            "<td>" . $school_row['math_students'] . "</td>" .
            "<td>" . round($maths_percentage, 2) . "</td>" .
            "<td>" . $proficiency_math . "</td>" .
            "</tr>";
} while ($school_row = mysqli_fetch_assoc($school_result));


$english_mean_score = round(fdiv($english_all_percentages_sum, $english_all_percentages_total), 2);
$math_mean_score = round(fdiv($math_all_percentages_sum, $math_all_percentages_total), 2);

$math_below_basic_count_percentage = round(fdiv($math_below_basic_count, $math_total_students) * 100, 2);
$math_basic_count_percentage = round(fdiv($math_basic_count, $math_total_students) * 100, 2);
$math_proficient_count_percentage = round(fdiv($math_proficient_count, $math_total_students) * 100, 2);
$math_advanced_count_percentage = round(fdiv($math_advanced_count, $math_total_students) * 100, 2);

$english_below_basic_count_percentage = round(fdiv($english_below_basic_count, $english_total_students) * 100, 2);
$english_basic_count_percentage = round(fdiv($english_basic_count, $english_total_students) * 100, 2);
$english_proficient_count_percentage = round(fdiv($english_proficient_count, $english_total_students) * 100, 2);
$english_advanced_count_percentage = round(fdiv($english_advanced_count, $english_total_students) * 100, 2);

$regions_query="SELECT DISTINCT region_name From scores_2021 ORDER BY region_name ASC";
$regions_result = mysqli_query($_SESSION['db_con'], $regions_query);
$regions_row = mysqli_fetch_assoc($regions_result);


?>
<!doctype html>
<!--[if lt IE 7]>      <html class="no-js lt-ie9 lt-ie8 lt-ie7" lang=""> <![endif]-->
<!--[if IE 7]>         <html class="no-js lt-ie9 lt-ie8" lang=""> <![endif]-->
<!--[if IE 8]>         <html class="no-js lt-ie9" lang=""> <![endif]-->
<!--[if gt IE 8]><!-->
<html class="no-js" lang="">
<!--<![endif]-->

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>NST Dashboard</title>
    <meta name="description" content="NST Dashboard">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <link rel="apple-touch-icon" href="">
    <link rel="shortcut icon" href="">

    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/normalize.css@8.0.0/normalize.min.css">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.1.3/dist/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/font-awesome@4.7.0/css/font-awesome.min.css">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/gh/lykmapipo/themify-icons@0.1.2/css/themify-icons.css">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/pixeden-stroke-7-icon@1.2.3/pe-icon-7-stroke/dist/pe-icon-7-stroke.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/flag-icon-css/3.2.0/css/flag-icon.min.css">
    <link rel="stylesheet" href="assets/css/cs-skin-elastic.css">
    <link rel="stylesheet" href="assets/css/style.css">
    <!-- <script type="text/javascript" src="https://cdn.jsdelivr.net/html5shiv/3.7.3/html5shiv.min.js"></script> -->
    <link href="https://cdn.jsdelivr.net/npm/chartist@0.11.0/dist/chartist.min.css" rel="stylesheet">
    <link href="https://cdn.jsdelivr.net/npm/jqvmap@1.5.1/dist/jqvmap.min.css" rel="stylesheet">

    <link href="https://cdn.jsdelivr.net/npm/weathericons@2.1.0/css/weather-icons.css" rel="stylesheet" />
    <link href="https://cdn.jsdelivr.net/npm/fullcalendar@3.9.0/dist/fullcalendar.min.css" rel="stylesheet" />

    <style>
        #weatherWidget .currentDesc {
            color: #ffffff !important;
        }

        .traffic-chart {
            min-height: 335px;
        }

        #flotPie1 {
            height: 150px;
        }

        #flotPie1 td {
            padding: 0px;
        }

        #flotPie1 table {
            top: 20px !important;
            right: 0px !important;
        }

        .chart-container {
            display: table;
            min-width: 295px;
            text-align: left;
            padding-top: 10px;
            padding-bottom: 10px;
        }

        #flotLine5 {
            height: 105px;
        }

        #flotBarChart {
            height: 150px;
        }

        #cellPaiChart {
            height: 160px;
        }
    </style>
</head>

<body>
       <!-- Left Panel -->
       <aside id="left-panel" class="left-panel">
        <nav class="navbar navbar-expand-sm navbar-default">
            <div id="main-menu" class="main-menu collapse navbar-collapse">
                <ul class="nav navbar-nav">
                    <li>
                        <a href="index.php"> <i class="menu-icon fa fa-bar-chart"></i>Dashboard </a>
                    </li>
                    <li>
                        <a href="schools.php"> <i class="menu-icon fa fa-th"></i>Schools </a>
                    </li>

                    <li>
                        <a href="#"> <i class="menu-icon fa fa-cogs"></i>Settings </a>
                    </li>
                </ul>
            </div><!-- /.navbar-collapse -->
        </nav>
    </aside>
    <!-- /#left-panel -->
    <!-- Right Panel -->
    <div id="right-panel" class="right-panel">
        <!-- Header-->
        <header id="header" class="header">
            <div class="top-left">
                <div class="navbar-header">
                    <h1 class="navbar-brand">MoE - NST</h1>
                    <a class="navbar-brand hidden" href="./"><img src="images/logo2.png" alt="Logo"></a>
                    <a id="menuToggle" class="menutoggle"><i class="fa fa-bars"></i></a>
                </div>
            </div>
            <div class="top-right">
                <div class="header-menu">
                    <div class="header-left">
                        <button class="search-trigger"><i class="fa fa-search"></i></button>
                        <div class="form-inline">
                            <form class="search-form">
                                <input class="form-control mr-sm-2" type="text" placeholder="Search ..." aria-label="Search">
                                <button class="search-close" type="submit"><i class="fa fa-close"></i></button>
                            </form>
                        </div>
                    </div>

                </div>
            </div>
        </header>
        <div class="breadcrumbs">
            <div class="breadcrumbs-inner">
                <div class="row m-0">
                    <div class="col-sm-4">
                        <div class="page-header float-left">
                            <div class="row">
                                <div class="col col-md-3"><label for="selectLg" class=" form-control-label"></label></div>
                                <div class="col-12 col-md-9">
                                    <select name="selectLg" id="selectLg" class="form-control-lg form-control">
                                    <option value="">Choose Region..</option>
                                        <?php do {
                                            echo "<option value =\"" .
                                                $regions_row['region_name'] .
                                                "\">" .
                                                $regions_row['region_name'] .
                                                '</option>';
                                        } while (
                                            $regions_row = mysqli_fetch_assoc($regions_result)
                                        ); 
                                        ?>
                                    </select>
                                </div>
                                
                            </div>
                            
                        </div>
                    </div>

                </div>
            </div>
        </div>

        <!-- /#header -->
        <!-- Content -->
        <div class="content">
            <!-- Animated -->
            <div class="animated fadeIn">
                <div class="row">
                    <div class="col-lg-3 col-md-6">
                        <div class="card">
                            <div class="card-body">
                                <div class="stat-widget-five">
                                    <div class="stat-icon dib flat-color-1">
                                        <i class="pe-7s-users"></i>
                                    </div>
                                    <div class="stat-content">
                                        <div class="text-left dib">
                                            <div class="stat-text"><span class="count"><?php echo $count_row['math_below_basic']; ?></span></div>
                                            <div class="stat-heading">Below Basic (Math)</div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="col-lg-3 col-md-6">
                        <div class="card">
                            <div class="card-body">
                                <div class="stat-widget-five">
                                    <div class="stat-icon dib flat-color-2">
                                        <i class="pe-7s-users"></i>
                                    </div>
                                    <div class="stat-content">
                                        <div class="text-left dib">
                                            <div class="stat-text"><span class="count"><?php echo $count_row['math_basic']; ?></span></div>
                                            <div class="stat-heading">Basic (Math)</div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="col-lg-3 col-md-6">
                        <div class="card">
                            <div class="card-body">
                                <div class="stat-widget-five">
                                    <div class="stat-icon dib flat-color-3">
                                        <i class="pe-7s-users"></i>
                                    </div>
                                    <div class="stat-content">
                                        <div class="text-left dib">
                                            <div class="stat-text"><span class="count"><?php echo $count_row['math_proficient'] ?></span></div>
                                            <div class="stat-heading">Proficient (Math)</div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="col-lg-3 col-md-6">
                        <div class="card">
                            <div class="card-body">
                                <div class="stat-widget-five">
                                    <div class="stat-icon dib flat-color-4">
                                        <i class="pe-7s-users"></i>
                                    </div>
                                    <div class="stat-content">
                                        <div class="text-left dib">
                                            <div class="stat-text"><span class="count"><?php echo $count_row['math_advanced']; ?></span></div>
                                            <div class="stat-heading">Advanced (Math)</div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- Widgets  -->
                <div class="row">

                    <div class="col-lg-3 col-md-6">
                        <div class="card">
                            <div class="card-body">
                                <div class="card-left pt-1 float-left">
                                    <h3 class="mb-0 fw-r">
                                        <span class="count"><?php echo $english_below_basic_count; ?></span>
                                    </h3>
                                    <p class="mt-1 m-0">Below Basic (Eng)</p>
                                </div><!-- /.card-left -->

                                <div class="card-right float-right text-right">
                                    <i class="icon fade-5 icon-lg pe-7s-users"></i>
                                </div><!-- /.card-right -->

                            </div>

                        </div>
                    </div>

                    <div class="col-lg-3 col-md-6">
                        <div class="card">
                            <div class="card-body">
                                <div class="card-left pt-1 float-left">
                                    <h3 class="mb-0 fw-r">
                                        <span class="count"><?php echo $count_row['english_basic'] ?></span>
                                    </h3>
                                    <p class="mt-1 m-0">Basic (Eng)</p>
                                </div><!-- /.card-left -->

                                <div class="card-right float-right text-right">
                                    <i class="icon fade-5 icon-lg pe-7s-users"></i>
                                </div><!-- /.card-right -->

                            </div>

                        </div>
                    </div>

                    <div class="col-lg-3 col-md-6">
                        <div class="card">
                            <div class="card-body">
                                <div class="card-left pt-1 float-left">
                                    <h3 class="mb-0 fw-r">
                                        <span class="count"><?php echo $english_proficient_count ?></span>
                                    </h3>
                                    <p class="mt-1 m-0">Proficient (Eng)</p>
                                </div><!-- /.card-left -->

                                <div class="card-right float-right text-right">
                                    <i class="icon fade-5 icon-lg pe-7s-users"></i>
                                </div><!-- /.card-right -->

                            </div>

                        </div>
                    </div>

                    <div class="col-lg-3 col-md-6">
                        <div class="card">
                            <div class="card-body">
                                <div class="card-left pt-1 float-left">
                                    <h3 class="mb-0 fw-r">
                                        <span class="count"><?php echo $english_advanced_count ?></span>
                                    </h3>
                                    <p class="mt-1 m-0">Advanced (Eng)</p>
                                </div><!-- /.card-left -->

                                <div class="card-right float-right text-right">
                                    <i class="icon fade-5 icon-lg pe-7s-users"></i>
                                </div><!-- /.card-right -->

                            </div>

                        </div>
                    </div>

                </div>

                <div class="clearfix"></div>

                <div class="row">


                    <div class="col-lg-4 col-md-6">
                        <div class="card br-0">
                            <div class="card-body">
                                <h4 class="card-title m-0  black-color ">English Performance cut-points</h4>
                                <div class="chart-container ov-h">
                                    <div id="flotPie1" class="float-chart"></div>
                                </div>
                            </div>
                        </div><!-- /.card -->
                    </div>

                    <div class="col-lg-4 col-md-6">
                        <div class="card text-white bg-flat-color-1">
                            <div class="card-body">
                                <h4 class="card-title m-0  black-color ">Maths Mean Score %</h4>
                            </div>
                            <div class="card-body">
                                <div id="flotLine5" class="flot-line">
                                    <h1 class="card-title m-0  black-color "><?php echo $math_mean_score; ?>%</h1>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="col-lg-4 col-md-6">
                        <div class="card bg-flat-color-3  ">
                            <div class="card-body">
                                <h4 class="card-title m-0  white-color ">English Mean Score %</h4>
                            </div>
                            <div class="card-body">
                                <div id="flotLine5" class="flot-line">
                                    <h1 class="card-title m-0  white-color "><?php echo $english_mean_score; ?>%</h1>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="clearfix"></div>

                <div class="clearfix"></div>

                <div class="row">

                    <div class="col-md-12">
                        <div class="card">
                            <div class="card-header">
                                <strong class="card-title">Schools</strong>
                            </div>
                            <div class="card-body">
                                <table id="bootstrap-data-table" class="table table-striped table-bordered">
                                    <thead>
                                        <tr>
                                            <th>Name</th>
                                            <th>Location</th>
                                            <th>#English Students</th>
                                            <th>English %</th>
                                            <th>English Proficiency</th>
                                            <th>#Math Students</th>
                                            <th>Math %</th>
                                            <th>Math Proficiency</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php
                                        echo $schools_table;
                                        ?>

                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>


                </div>

                <!-- /#add-category -->
            </div>
            <!-- .animated -->
        </div>
        <!-- /.content -->
        <div class="clearfix"></div>
        <!-- Footer -->
        <footer class="site-footer">
            <div class="footer-inner bg-white">
                <div class="row">
                    <div class="col-sm-6">
                        Copyright &copy; 2022 MoE - NST
                    </div>
                    <!-- <div class="col-sm-6 text-right">
                        Designed by <a href="https://colorlib.com">Colorlib</a>
                    </div> -->
                </div>
            </div>
        </footer>
        <!-- /.site-footer -->
    </div>
    <!-- /#right-panel -->

    <!-- Scripts -->
    <script src="https://cdn.jsdelivr.net/npm/jquery@2.2.4/dist/jquery.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.14.4/dist/umd/popper.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.1.3/dist/js/bootstrap.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/jquery-match-height@0.7.2/dist/jquery.matchHeight.min.js"></script>
    <script src="assets/js/main.js"></script>

    <!--  Chart js -->
     <script src="https://cdn.jsdelivr.net/npm/chart.js@2.7.3/dist/Chart.bundle.min.js"></script>
    <script src="assets/js/init/chartjs-init.js"></script>

    <!--Chartist Chart-->
    <script src="https://cdn.jsdelivr.net/npm/chartist@0.11.0/dist/chartist.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/chartist-plugin-legend@0.6.2/chartist-plugin-legend.min.js"></script>

    <script src="https://cdn.jsdelivr.net/npm/jquery.flot@0.8.3/jquery.flot.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/flot-pie@1.0.0/src/jquery.flot.pie.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/flot-spline@0.0.1/js/jquery.flot.spline.min.js"></script>

    <script src="https://cdn.jsdelivr.net/npm/simpleweather@3.1.0/jquery.simpleWeather.min.js"></script>
    <script src="assets/js/init/weather-init.js"></script>

    <script src="https://cdn.jsdelivr.net/npm/moment@2.22.2/moment.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/fullcalendar@3.9.0/dist/fullcalendar.min.js"></script>
    <script src="assets/js/init/fullcalendar-init.js"></script>

    <!--Local Stuff-->
    <script>
        jQuery(document).ready(function($) {
            "use strict";

            // Pie chart flotPie1
            var piedata = [{
                    label: "Below Basic " + <?php echo $english_below_basic_count_percentage; ?> + "%",
                    data: [
                        [1, <?php echo $english_below_basic_count_percentage; ?>]
                    ],
                    color: '#03a9f3'
                },
                {
                    label: "Basic " + <?php echo $english_basic_count_percentage; ?> + "%",
                    data: [
                        [1, <?php echo $english_basic_count_percentage; ?>]
                    ],
                    color: '#ab8ce4'
                },
                {
                    label: "Proficient " + <?php echo $english_proficient_count_percentage; ?> + "%",
                    data: [
                        [1, <?php echo $english_proficient_count_percentage; ?>]
                    ],
                    color: '#00c292'
                },
                {
                    label: "Advanced " + <?php echo $english_advanced_count_percentage; ?> + "%",
                    data: [
                        [1, <?php echo $english_advanced_count_percentage; ?>]
                    ],
                    color: '#fb9678'
                }
            ];

            $.plot('#flotPie1', piedata, {
                series: {
                    pie: {
                        show: true,
                        radius: 1,
                        innerRadius: 0.65,
                        label: {
                            show: true,
                            radius: 2 / 3,
                            threshold: 1
                        },
                        stroke: {
                            width: 0
                        }
                    }
                },
                grid: {
                    hoverable: true,
                    clickable: true
                }
            });
            // Pie chart flotPie1  End
            // cellPaiChart
            var cellPaiChart = [{
                    label: "Direct Sell",
                    data: [
                        [1, 65]
                    ],
                    color: '#5b83de'
                },
                {
                    label: "Channel Sell",
                    data: [
                        [1, 35]
                    ],
                    color: '#00bfa5'
                }
            ];
            $.plot('#cellPaiChart', cellPaiChart, {
                series: {
                    pie: {
                        show: true,
                        stroke: {
                            width: 0
                        }
                    }
                },
                legend: {
                    show: false
                },
                grid: {
                    hoverable: true,
                    clickable: true
                }

            });
            // cellPaiChart End
            // Line Chart  #flotLine5
            var newCust = [
                [0, 3],
                [1, 5],
                [2, 4],
                [3, 7],
                [4, 9],
                [5, 3],
                [6, 6],
                [7, 4],
                [8, 10]
            ];

            var plot = $.plot($('#flotLine5'), [{
                data: newCust,
                label: 'New Data Flow',
                color: '#fff'
            }], {
                series: {
                    lines: {
                        show: true,
                        lineColor: '#fff',
                        lineWidth: 2
                    },
                    points: {
                        show: true,
                        fill: true,
                        fillColor: "#ffffff",
                        symbol: "circle",
                        radius: 3
                    },
                    shadowSize: 0
                },
                points: {
                    show: true,
                },
                legend: {
                    show: false
                },
                grid: {
                    show: false
                }
            });
            // Line Chart  #flotLine5 End
            // Traffic Chart using chartist
            if ($('#traffic-chart').length) {
                var chart = new Chartist.Line('#traffic-chart', {
                    labels: ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun'],
                    series: [
                        [0, 18000, 35000, 25000, 22000, 0],
                        [0, 33000, 15000, 20000, 15000, 300],
                        [0, 15000, 28000, 15000, 30000, 5000]
                    ]
                }, {
                    low: 0,
                    showArea: true,
                    showLine: false,
                    showPoint: false,
                    fullWidth: true,
                    axisX: {
                        showGrid: true
                    }
                });

                chart.on('draw', function(data) {
                    if (data.type === 'line' || data.type === 'area') {
                        data.element.animate({
                            d: {
                                begin: 2000 * data.index,
                                dur: 2000,
                                from: data.path.clone().scale(1, 0).translate(0, data.chartRect.height()).stringify(),
                                to: data.path.clone().stringify(),
                                easing: Chartist.Svg.Easing.easeOutQuint
                            }
                        });
                    }
                });
            }
            // Traffic Chart using chartist End
            //Traffic chart chart-js
            if ($('#TrafficChart').length) {
                var ctx = document.getElementById("TrafficChart");
                ctx.height = 150;
                var myChart = new Chart(ctx, {
                    type: 'line',
                    data: {
                        labels: ["Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul"],
                        datasets: [{
                                label: "Visit",
                                borderColor: "rgba(4, 73, 203,.09)",
                                borderWidth: "1",
                                backgroundColor: "rgba(4, 73, 203,.5)",
                                data: [0, 2900, 5000, 3300, 6000, 3250, 0]
                            },
                            {
                                label: "Bounce",
                                borderColor: "rgba(245, 23, 66, 0.9)",
                                borderWidth: "1",
                                backgroundColor: "rgba(245, 23, 66,.5)",
                                pointHighlightStroke: "rgba(245, 23, 66,.5)",
                                data: [0, 4200, 4500, 1600, 4200, 1500, 4000]
                            },
                            {
                                label: "Targeted",
                                borderColor: "rgba(40, 169, 46, 0.9)",
                                borderWidth: "1",
                                backgroundColor: "rgba(40, 169, 46, .5)",
                                pointHighlightStroke: "rgba(40, 169, 46,.5)",
                                data: [1000, 5200, 3600, 2600, 4200, 5300, 0]
                            }
                        ]
                    },
                    options: {
                        responsive: true,
                        tooltips: {
                            mode: 'index',
                            intersect: false
                        },
                        hover: {
                            mode: 'nearest',
                            intersect: true
                        }

                    }
                });
            }
            //Traffic chart chart-js  End
            // Bar Chart #flotBarChart
            $.plot("#flotBarChart", [{
                data: [
                    [0, 18],
                    [2, 8],
                    [4, 5],
                    [6, 13],
                    [8, 5],
                    [10, 7],
                    [12, 4],
                    [14, 6],
                    [16, 15],
                    [18, 9],
                    [20, 17],
                    [22, 7],
                    [24, 4],
                    [26, 9],
                    [28, 11]
                ],
                bars: {
                    show: true,
                    lineWidth: 0,
                    fillColor: '#ffffff8a'
                }
            }], {
                grid: {
                    show: false
                }
            });
            // Bar Chart #flotBarChart End

            if ($('#barChart').length) {
                var ctx = document.getElementById("barChart");
                var myChart = new Chart(ctx, {
                    type: 'bar',
                    data: {
                        labels: ["Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul"],
                        datasets: [{
                                label: "My First dataset",
                                data: [65, 59, 80, 81, 56, 55, 45],
                                borderColor: "rgba(0, 194, 146, 0.9)",
                                borderWidth: "0",
                                backgroundColor: "rgba(0, 194, 146, 0.5)"
                            },
                            {
                                label: "My Second dataset",
                                data: [28, 48, 40, 19, 86, 27, 76],
                                borderColor: "rgba(0,0,0,0.09)",
                                borderWidth: "0",
                                backgroundColor: "rgba(0,0,0,0.07)"
                            }
                        ]
                    },
                    options: {
                        scales: {
                            yAxes: [{
                                ticks: {
                                    beginAtZero: true
                                }
                            }]
                        }
                    }
                })
            }


        });
    </script>

    <script src="assets/js/lib/data-table/datatables.min.js"></script>
    <script src="assets/js/lib/data-table/dataTables.bootstrap.min.js"></script>
    <script src="assets/js/lib/data-table/dataTables.buttons.min.js"></script>
    <script src="assets/js/lib/data-table/buttons.bootstrap.min.js"></script>
    <script src="assets/js/lib/data-table/jszip.min.js"></script>
    <script src="assets/js/lib/data-table/vfs_fonts.js"></script>
    <script src="assets/js/lib/data-table/buttons.html5.min.js"></script>
    <script src="assets/js/lib/data-table/buttons.print.min.js"></script>
    <script src="assets/js/lib/data-table/buttons.colVis.min.js"></script>
    <script src="assets/js/init/datatables-init.js"></script>


    <script type="text/javascript">
        $(document).ready(function() {
            $('#bootstrap-data-table-export').DataTable();
        });
    </script>

    <script src="https://cdn.jsdelivr.net/npm/peity@3.3.0/jquery.peity.min.js"></script>
    <!-- scripit init-->
    <script src="assets/js/init/peitychart-init.js"></script>

    <!-- scripit init-->
</body>

</html>