<?php

$where_clause_region = '';
if (isset($where_clause_index)) {
    $where_clause_region = $where_clause_index;
}

$count_query = "SELECT 
sum(case when subject_code = '0301' AND ((score/35)*100) <= 49 then 1 else 0 end) AS math_below_basic,
sum(case when subject_code = '0011' AND ((score/35)*100) <= 49 then 1 else 0 end) AS english_below_basic,
sum(case when subject_code = '0301' AND ((score/35)*100) >= 50 AND ((score/35)*100) < 66 then 1 else 0 end) AS math_basic,
sum(case when subject_code = '0011' AND ((score/35)*100) >= 50 AND ((score/35)*100) < 66 then 1 else 0 end) AS english_basic,
sum(case when subject_code = '0301' AND ((score/35)*100) >= 66 AND ((score/35)*100) < 80 then 1 else 0 end) AS math_proficient,
sum(case when subject_code = '0011' AND ((score/35)*100) >= 66 AND ((score/35)*100) < 80 then 1 else 0 end) AS english_proficient,
sum(case when subject_code = '0301' AND ((score/35)*100) >= 80 then 1 else 0 end) AS math_advanced,
sum(case when subject_code = '0011' AND ((score/35)*100) >= 80 then 1 else 0 end) AS english_advanced
FROM scores_2021 ".$where_clause_region;
$count_result = mysqli_query($_SESSION['db_con'], $count_query);
$count_row = mysqli_fetch_array($count_result);

$math_below_basic_count = $count_row['math_below_basic'];
$english_below_basic_count = $count_row['english_below_basic'];
$math_basic_count = $count_row['math_basic'];
$english_basic_count = $count_row['english_basic'];
$math_proficient_count = $count_row['math_proficient'];
$english_proficient_count = $count_row['english_proficient'];
$math_advanced_count = $count_row['math_advanced'];
$english_advanced_count = $count_row['english_advanced'];

$math_total_students = $math_below_basic_count + $math_basic_count + $math_proficient_count + $math_advanced_count;
$english_total_students = $english_below_basic_count + $english_basic_count + $english_proficient_count + $english_advanced_count;

$schools_query = "SELECT school_name, region_name, district_name, district_code,
sum(case when subject_code = '0301' then 1 else 0 end) AS math_students,
sum(case when subject_code = '0301' then score else 0 end) AS math_total_score,
sum(case when subject_code = '0011' then 1 else 0 end) AS english_students, 
sum(case when subject_code = '0011' then score else 0 end) AS english_total_score
FROM scores_2021 ".$where_clause_region." GROUP BY school_name, district_code ORDER BY math_total_score DESC, english_total_score DESC";
$school_result = mysqli_query($_SESSION['db_con'], $schools_query);
$school_row = mysqli_fetch_assoc($school_result);

$english_all_percentages_sum = 0;
$english_all_percentages_total = 0;
$math_all_percentages_sum = 0;
$math_all_percentages_total = 0;
do {

    $english_percentage = round(fdiv($school_row['english_total_score'], ($school_row['english_students'] * 35)) * 100, 2);
    if (is_numeric($english_percentage) && !is_nan($english_percentage)){
        $english_all_percentages_sum = $english_all_percentages_sum + $english_percentage;
        $english_all_percentages_total++;
    }
    error_log("english_percentage " . $english_percentage);
    error_log("english_all_percentages_sum " . $english_all_percentages_sum);

    $maths_percentage = fdiv($school_row['math_total_score'], ($school_row['math_students'] * 35)) * 100;
    if (is_numeric($maths_percentage) && !is_nan($maths_percentage)){
        $math_all_percentages_sum = $math_all_percentages_sum + $maths_percentage;
        $math_all_percentages_total++;
    }

    $proficiency = '';
    $proficiency_math = '';

    if ($english_percentage <= 49) {
        $proficiency = 'Below Basic (BB)';
    } else if ($english_percentage >= 50 && $english_percentage < 66) {
        $proficiency = 'Basic (B)';
    } else if ($english_percentage >= 66 && $english_percentage < 80) {
        $proficiency = '<span class="badge badge-complete">Proficient (P)</span>';
    } else if ($english_percentage >= 80) {
        $proficiency = '<span class="badge badge-pending">Advanced (A)</span>';
    }

    if ($maths_percentage <= 49) {
        $proficiency_math = 'Below Basic (BB)';
    } else if ($maths_percentage >= 50 && $maths_percentage < 66) {
        $proficiency_math = 'Basic (B)';
    } else if ($maths_percentage >= 66 && $maths_percentage < 80) {
        $proficiency_math = '<span class="badge badge-complete">Proficient (P)</span>';
    } else if ($maths_percentage >= 80) {
        $proficiency_math = '<span class="badge badge-pending">Advanced (A)</span>';
    }

    if (!empty($school_row['school_name']))
        $schools_table = $schools_table .  "<tr>" .
            "<td><a href=\"school.php?sn=" . $school_row['school_name'] . "\">" .  strtoupper($school_row['school_name']) . "</td>" .
            "<td>" . $school_row['region_name'] . " / " . $school_row['district_name'] . "</td>" .
            "<td>" . $school_row['english_students'] . "</td>" .
            "<td>" . round($english_percentage, 2) . "</td>" .
            "<td>" . $proficiency . "</td>" .
            "<td>" . $school_row['math_students'] . "</td>" .
            "<td>" . round($maths_percentage, 2) . "</td>" .
            "<td>" . $proficiency_math . "</td>" .
            "</tr>";
} while ($school_row = mysqli_fetch_assoc($school_result));


$english_mean_score = round(fdiv($english_all_percentages_sum, $english_all_percentages_total), 2);
$math_mean_score = round(fdiv($math_all_percentages_sum, $math_all_percentages_total), 2);

$math_below_basic_count_percentage = round(fdiv($math_below_basic_count, $math_total_students) * 100, 2);
$math_basic_count_percentage = round(fdiv($math_basic_count, $math_total_students) * 100, 2);
$math_proficient_count_percentage = round(fdiv($math_proficient_count, $math_total_students) * 100, 2);
$math_advanced_count_percentage = round(fdiv($math_advanced_count, $math_total_students) * 100, 2);

$english_below_basic_count_percentage = round(fdiv($english_below_basic_count, $english_total_students) * 100, 2);
$english_basic_count_percentage = round(fdiv($english_basic_count, $english_total_students) * 100, 2);
$english_proficient_count_percentage = round(fdiv($english_proficient_count, $english_total_students) * 100, 2);
$english_advanced_count_percentage = round(fdiv($english_advanced_count, $english_total_students) * 100, 2);



$schools_total = "SELECT count(DISTINCT school_name) AS total_school
FROM scores_2021 ".$where_clause_region;
$school_sum = mysqli_query($_SESSION['db_con'], $schools_total);
$school_row_count = mysqli_fetch_assoc($school_sum);

$students_total = "SELECT count(DISTINCT index_number) AS total_student,
count(DISTINCT CASE WHEN sex = 'M' THEN index_number END) AS total_male_students,
count(DISTINCT CASE WHEN sex = 'F' THEN index_number END) AS total_female_students
FROM scores_2021 ".$where_clause_region;
$students_sum = mysqli_query($_SESSION['db_con'], $students_total);
$students_row_count = mysqli_fetch_assoc($students_sum);

$students_male_count = $students_row_count['total_male_students'];
$students_female_count = $students_row_count['total_female_students'];
$students_count = $students_row_count['total_student'];
$schools_count = $school_row_count['total_school'];


$regions_mean_query="SELECT region_name,
CASE WHEN sum(case when subject_code = '0301' then 1 else 0 end) = 0 THEN NULL ELSE ROUND(sum(case when subject_code = '0301' then score else 0 end) / 
sum(case when subject_code = '0301' then 1 else 0 end), 2) END AS math_mean_score,
CASE WHEN sum(case when subject_code = '0011' then 1 else 0 end) = 0 THEN NULL ELSE ROUND(sum(case when subject_code = '0011' then score else 0 end) / 
sum(case when subject_code = '0011' then 1 else 0 end), 2) END AS english_mean_score
FROM scores_2021 WHERE region_name IS NOT NULL AND region_name != '' GROUP BY region_name ORDER BY region_name ASC";
$regions_mean_result = mysqli_query($_SESSION['db_con'], $regions_mean_query);

$regions_math_mean_scores = [];
$regions_english_mean_scores = [];

while ($regions_mean_row = mysqli_fetch_assoc($regions_mean_result)) {
    $regions_math_mean_scores[] = $regions_mean_row['math_mean_score'];
    $regions_english_mean_scores[] = $regions_mean_row['english_mean_score'];
}
?>