<?php

$where_clause_region = '';
if (isset($where_clause_index)) {
    $where_clause_region = $where_clause_index;
}

// SELECT student.id, student.school_code, student.school, student.first_name, student.weac_number,  score.student_id, score.quest_code, score.score as mark FROM `students`  student 
//  INNER JOIN scores score ON TRIM(LEADING '0' FROM student.weac_number) = TRIM(LEADING '0' FROM score.student_id) AND score.quest_code = 'CORRECT_TOTAL'   AND score.subject_id = 1  
// ORDER BY `score`.`student_id` DESC;

$query_english = "SELECT
sum(case when score.score IS NOT NULL AND ((score.score/35)*100) <= 49 then 1 else 0 end) AS english_below_basic,
sum(case when score.score IS NOT NULL AND ((score.score/35)*100) >= 50 AND ((score.score/35)*100) < 66 then 1 else 0 end) AS english_basic,
sum(case when score.score IS NOT NULL AND ((score.score/35)*100) >= 66 AND ((score.score/35)*100) < 80 then 1 else 0 end) AS english_proficient,
sum(case when score.score IS NOT NULL AND ((score.score/35)*100) >= 80 then 1 else 0 end) AS english_advanced, 
sum(case when score.score IS NOT NULL then score.score else 0 end) AS english_total_score,  
sum(case when score.score IS NOT NULL then 1 else 0 end) AS english_total_students, 
sum(case when score.score IS NOT NULL AND (student.gender = 'M' OR student.gender = 'Male' )  then 1 else 0 end) AS english_total_male_students, 
sum(case when score.score IS NOT NULL AND (student.gender = 'F' OR student.gender = 'Female' )  then 1 else 0 end) AS english_total_female_students, 
count(DISTINCT student.school_code) AS english_total_school    
FROM `students`  student 
LEFT JOIN scores score ON TRIM(LEADING '0' FROM student.weac_number) = TRIM(LEADING '0' FROM score.student_id) AND score.quest_code = 'CORRECT_TOTAL' AND score.subject_id = 1 ".$where_clause_region;
$english_result = mysqli_query($_SESSION['db_con'], $query_english);
$english_row = mysqli_fetch_array($english_result);
//error_log("query_english = ".$query_english);

$english_below_basic_count = $english_row['english_below_basic'];
$english_basic_count = $english_row['english_basic'];
$english_proficient_count = $english_row['english_proficient'];
$english_advanced_count = $english_row['english_advanced'];
$english_total_score = $english_row['english_total_score'];
$english_total_students = $english_row['english_total_students'];
$english_total_male_students = $english_row['english_total_male_students'];
$english_total_female_students = $english_row['english_total_female_students'];
$english_total_school = $english_row['english_total_school'];

$query_math = "SELECT
sum(case when score.score IS NOT NULL AND ((score.score/35)*100) <= 49 then 1 else 0 end) AS math_below_basic,
sum(case when score.score IS NOT NULL AND ((score.score/35)*100) >= 50 AND ((score.score/35)*100) < 66 then 1 else 0 end) AS math_basic,
sum(case when score.score IS NOT NULL AND ((score.score/35)*100) >= 66 AND ((score.score/35)*100) < 80 then 1 else 0 end) AS math_proficient,
sum(case when score.score IS NOT NULL AND ((score.score/35)*100) >= 80 then 1 else 0 end) AS math_advanced, 
sum(case when score.score IS NOT NULL then score.score else 0 end) AS math_total_score,  
sum(case when score.score IS NOT NULL then 1 else 0 end) AS math_total_students, 
sum(case when score.score IS NOT NULL AND (student.gender = 'M' OR student.gender = 'Male' )  then 1 else 0 end) AS math_total_male_students, 
sum(case when score.score IS NOT NULL AND (student.gender = 'F' OR student.gender = 'Female' )  then 1 else 0 end) AS math_total_female_students, 
count(DISTINCT student.school_code) AS math_total_school      
FROM `students`  student 
LEFT JOIN scores score ON TRIM(LEADING '0' FROM student.weac_number) = TRIM(LEADING '0' FROM score.student_id) AND score.quest_code = 'CORRECT_TOTAL' AND score.subject_id = 2 ".$where_clause_region;

$english_results = mysqli_query($_SESSION['db_con'], $query_math);
$english_row = mysqli_fetch_array($english_results);

$math_below_basic_count = $english_row['math_below_basic'];
$math_basic_count = $english_row['math_basic'];
$math_proficient_count = $english_row['math_proficient'];
$math_advanced_count = $english_row['math_advanced'];
$math_total_score = $english_row['math_total_score'];
$math_total_students = $english_row['math_total_students'];
$math_total_male_students = $english_row['math_total_male_students'];
$math_total_female_students = $english_row['math_total_female_students'];
$math_total_school = $english_row['math_total_school'];


$english_mean_score = round(fdiv($english_total_score, ($english_total_students*35)) * 100, 2);
$math_mean_score = round(fdiv($math_total_score, ($math_total_students*35))  * 100, 2);

$math_below_basic_count_percentage = round(fdiv($math_below_basic_count, $math_total_students) * 100, 2);
$math_basic_count_percentage = round(fdiv($math_basic_count, $math_total_students) * 100, 2);
$math_proficient_count_percentage = round(fdiv($math_proficient_count, $math_total_students) * 100, 2);
$math_advanced_count_percentage = round(fdiv($math_advanced_count, $math_total_students) * 100, 2);

$english_below_basic_count_percentage = round(fdiv($english_below_basic_count, $english_total_students) * 100, 2);
$english_basic_count_percentage = round(fdiv($english_basic_count, $english_total_students) * 100, 2);
$english_proficient_count_percentage = round(fdiv($english_proficient_count, $english_total_students) * 100, 2);
$english_advanced_count_percentage = round(fdiv($english_advanced_count, $english_total_students) * 100, 2);

$schools_total = "SELECT 
sum(case when (student.gender = 'M' OR student.gender = 'Male' )  then 1 else 0 end) AS students_male_couont, 
sum(case when (student.gender = 'F' OR student.gender = 'Female' )  then 1 else 0 end) AS students_female_count, 
count(DISTINCT student.weac_number) AS students_count,  
count(DISTINCT student.school_code) AS schools_count   
FROM students student ".$where_clause_region;
$school_sum = mysqli_query($_SESSION['db_con'], $schools_total);
$school_row_count = mysqli_fetch_assoc($school_sum);

$students_male_count = $school_row_count['students_male_couont'];
$students_female_count = $school_row_count['students_female_count'];
$students_count = $school_row_count['students_count'];
$schools_count = $school_row_count['schools_count'];


$regions_mean_query="SELECT region_name,
CASE WHEN sum(case when subject_code = '0301' then 1 else 0 end) = 0 THEN NULL ELSE ROUND(sum(case when subject_code = '0301' then score else 0 end) / 
sum(case when subject_code = '0301' then 1 else 0 end), 2) END AS math_mean_score,
CASE WHEN sum(case when subject_code = '0011' then 1 else 0 end) = 0 THEN NULL ELSE ROUND(sum(case when subject_code = '0011' then score else 0 end) / 
sum(case when subject_code = '0011' then 1 else 0 end), 2) END AS english_mean_score
FROM scores_2021 WHERE region_name IS NOT NULL AND region_name != '' GROUP BY region_name ORDER BY region_name ASC";
$regions_mean_result = mysqli_query($_SESSION['db_con'], $regions_mean_query);

$regions_math_mean_scores = [];
$regions_english_mean_scores = [];

while ($regions_mean_row = mysqli_fetch_assoc($regions_mean_result)) {
    $regions_math_mean_scores[] = $regions_mean_row['math_mean_score'];
    $regions_english_mean_scores[] = $regions_mean_row['english_mean_score'];
}
?>