<?php


if (userIsRegionOfficer()) {
    $where_clause_school =
             " WHERE student.region_code = '" . $_SESSION['region_code'] . "'";
 } elseif (userIsDistrictOfficer()) {
     $where_clause_school =
             " WHERE student.district_code = '" . $_SESSION['district_code'] . "'";
 }

$where_clause = '';
if (isset($where_clause_school)) {
    $where_clause = $where_clause_school;
}

$schools_query = "SELECT schools.*,
ROUND(( schools.english_total_score/(schools.english_students_count*35) * 100 ),2) AS english_percentage, 
ROUND(( schools.math_total_score/(schools.math_students_count*35) * 100 ),2) AS math_percentage, 
district.name as district_name, 
region.name as region_name  
FROM
(SELECT 
student.school_code, student.school, student.region_code, student.district_code,
COUNT(DISTINCT english.student_id) as english_students_count, 
(sum(english.score)*count(DISTINCT english.student_id))/count(*) AS english_total_score,
COUNT(DISTINCT math.student_id) as math_students_count,  
(sum(math.score)*count(DISTINCT math.student_id))/count(*) AS math_total_score
FROM `students`  student 
LEFT JOIN scores english ON TRIM(LEADING '0' FROM student.weac_number) = TRIM(LEADING '0' FROM english.student_id) AND english.quest_code = 'CORRECT_TOTAL'   AND english.subject_id = 1  
LEFT JOIN scores math ON TRIM(LEADING '0' FROM student.weac_number) = TRIM(LEADING '0' FROM math.student_id) AND math.quest_code = 'CORRECT_TOTAL'   AND math.subject_id = 2  
" . $where_clause . "
GROUP BY student.school_code  
ORDER BY math_students_count DESC, english_students_count DESC) as schools 
LEFT join location district on district.code = LPAD(schools.district_code,4,'0') AND district.type = 'D' 
LEFT join location region on region.code = LPAD(schools.region_code,2,'0') AND region.type = 'R'";
$school_result = mysqli_query($_SESSION['db_con'], $schools_query);
$school_row = mysqli_fetch_assoc($school_result);

error_log('2022 schools query = ' . $schools_query);

do {

    $proficiency = '';
    $proficiency_math = '';

    if ($school_row['english_percentage'] <= 49) {
        $proficiency = 'Below Basic (BB)';
    } else if ($school_row['english_percentage']  >= 50 && $school_row['english_percentage'] < 66) {
        $proficiency = 'Basic (B)';
    } else if ($school_row['english_percentage'] >= 66 && $school_row['english_percentage'] < 80) {
        $proficiency = '<span class="badge badge-complete">Proficient (P)</span>';
    } else if ($school_row['english_percentage'] >= 80) {
        $proficiency = '<span class="badge badge-pending">Advanced (A)</span>';
    }

    if ($school_row['math_percentage'] <= 49) {
        $proficiency_math = 'Below Basic (BB)';
    } else if ($school_row['math_percentage'] >= 50 && $school_row['math_percentage'] < 66) {
        $proficiency_math = 'Basic (B)';
    } else if ($school_row['math_percentage'] >= 66 && $school_row['math_percentage'] < 80) {
        $proficiency_math = '<span class="badge badge-complete">Proficient (P)</span>';
    } else if ($school_row['math_percentage'] >= 80) {
        $proficiency_math = '<span class="badge badge-pending">Advanced (A)</span>';
    }

    $school_name = str_replace("\"", "", $school_row['school']);

    if (!empty($school_row['school']))
        $schools_table = $schools_table .  "<tr>" .
            "<td><a href=\"school.php?sn=" . $school_name . "&dc=" . $school_row['school_code'] . "&year=2022" . "\">" .  strtoupper($school_name) . "</td>" .
            "<td>" . $school_row['region_name'] . " / " . $school_row['district_name'] . "</td>" .
            "<td>" . $school_row['english_students_count'] . "</td>" .
            "<td>" . $school_row['english_percentage'] . "</td>" .
            "<td>" . $proficiency . "</td>" .
            "<td>" . $school_row['math_students_count'] . "</td>" .
            "<td>" . $school_row['math_percentage'] . "</td>" .
            "<td>" . $proficiency_math . "</td>" .
            "</tr>";
} while ($school_row = mysqli_fetch_assoc($school_result));
