<?php 

$where_clause = '';
if (isset($where_clause_school)) {
    $where_clause = $where_clause_school;
}

$schools_query = "SELECT school_name, region_name, district_name, district_code,
sum(case when subject_code = '0301' then 1 else 0 end) AS math_students,
sum(case when subject_code = '0301' then score else 0 end) AS math_total_score,
sum(case when subject_code = '0011' then 1 else 0 end) AS english_students, 
sum(case when subject_code = '0011' then score else 0 end) AS english_total_score
FROM scores_2021 ".$where_clause." GROUP BY school_name, district_code ORDER BY math_total_score DESC, english_total_score DESC";
$school_result = mysqli_query($_SESSION['db_con'], $schools_query);
$school_row = mysqli_fetch_assoc($school_result);

$english_all_percentages_sum = 0;
$english_all_percentages_total = 0;
$math_all_percentages_sum = 0;
$math_all_percentages_total = 0;
do {

    $english_percentage = round(fdiv($school_row['english_total_score'], ($school_row['english_students'] * 35)) * 100, 2);
    if (is_numeric($english_percentage) && !is_nan($english_percentage)) {
        $english_all_percentages_sum = $english_all_percentages_sum + $english_percentage;
        $english_all_percentages_total++;
    }
    error_log("english_percentage " . $english_percentage);
    error_log("english_all_percentages_sum " . $english_all_percentages_sum);

    $maths_percentage = fdiv($school_row['math_total_score'], ($school_row['math_students'] * 35)) * 100;
    if (is_numeric($maths_percentage) && !is_nan($maths_percentage)) {
        $math_all_percentages_sum = $math_all_percentages_sum + $maths_percentage;
        $math_all_percentages_total++;
    }

    $proficiency = '';
    $proficiency_math = '';

    if ($english_percentage <= 49) {
        $proficiency = 'Below Basic (BB)';
    } else if ($english_percentage >= 50 && $english_percentage < 66) {
        $proficiency = 'Basic (B)';
    } else if ($english_percentage >= 66 && $english_percentage < 80) {
        $proficiency = '<span class="badge badge-complete">Proficient (P)</span>';
    } else if ($english_percentage >= 80) {
        $proficiency = '<span class="badge badge-pending">Advanced (A)</span>';
    }

    if ($maths_percentage <= 49) {
        $proficiency_math = 'Below Basic (BB)';
    } else if ($maths_percentage >= 50 && $maths_percentage < 66) {
        $proficiency_math = 'Basic (B)';
    } else if ($maths_percentage >= 66 && $maths_percentage < 80) {
        $proficiency_math = '<span class="badge badge-complete">Proficient (P)</span>';
    } else if ($maths_percentage >= 80) {
        $proficiency_math = '<span class="badge badge-pending">Advanced (A)</span>';
    }

    if (!empty($school_row['school_name']))
        $schools_table = $schools_table .  "<tr>" .
            "<td><a href=\"school.php?sn=" . $school_row['school_name'] . "&dc=" . $school_row['district_code']. "&year=2021" . "\" target=\"_blank\">" .  strtoupper($school_row['school_name']) . "</td>" .
            "<td>" . $school_row['region_name'] . " / " . $school_row['district_name'] . "</td>" .
            "<td>" . $school_row['english_students'] . "</td>" .
            "<td>" . round($english_percentage, 2) . "</td>" .
            "<td>" . $proficiency . "</td>" .
            "<td>" . $school_row['math_students'] . "</td>" .
            "<td>" . round($maths_percentage, 2) . "</td>" .
            "<td>" . $proficiency_math . "</td>" .
            "</tr>";
} while ($school_row = mysqli_fetch_assoc($school_result));