<?php
include 'database/db.php';
include 'Utils.php';
include 'login_redirect_all_users.php';

$year = "2022";

if (isset($_GET['sn']))
    $school_name = $_GET['sn'];

if (isset($_GET['dc']))
    $uuid = $_GET['dc'];

if (isset($_GET['year']))
    $year = $_GET['year'];

if ($year == '2021') {
    $students_query = "SELECT * FROM (SELECT index_number, student_name, school_name, 
max(case when (subject_code='0301') then score else NULL end) as 'math_score',
max(case when (subject_code='0011') then score else NULL end) as 'english_score' 
FROM scores_2021 WHERE school_name = '" . $school_name . "' AND district_code = '" . $uuid . "' GROUP BY index_number) as students
ORDER BY math_score DESC, english_score DESC";
} else {
    $students_query = "SELECT 
student.school_code, student.school as school_name, student.first_name as student_name, student.weac_number as index_number,
english.score AS english_score,
math.score AS math_score
FROM `students`  student 
LEFT JOIN scores english ON TRIM(LEADING '0' FROM student.weac_number) = TRIM(LEADING '0' FROM english.student_id) AND english.quest_code = 'CORRECT_TOTAL'   AND english.subject_id = 1  
LEFT JOIN scores math ON TRIM(LEADING '0' FROM student.weac_number) = TRIM(LEADING '0' FROM math.student_id) AND math.quest_code = 'CORRECT_TOTAL'   AND math.subject_id = 2  
WHERE student.school_code = '" . $uuid . "' 
GROUP BY student.weac_number 
ORDER BY math_score DESC, english_score DESC";
}

$students_result = mysqli_query($_SESSION['db_con'], $students_query);
$students_row = mysqli_fetch_array($students_result);

// $count_query = "SELECT 
// COUNT(id) as total, 
// sum(case when class ='p2' then 1 else 0 end) AS total_p2,
// sum(case when class ='p4' then 1 else 0 end) AS total_p4,
// sum(case when gender = 'female' OR  gender = 'Female' OR  gender = 'F' then 1 else 0 end) AS total_all_female, 
// sum(case when gender = 'male' OR  gender = 'Male' OR  gender = 'M' then 1 else 0 end) AS total_all_male, 
// sum(case when class ='p2' AND  (gender = 'female' OR  gender = 'Female' OR  gender = 'F') then 1 else 0 end) AS total_p2_female, 
// sum(case when class ='p2' AND  (gender = 'male' OR  gender = 'Male' OR  gender = 'M') then 1 else 0 end) AS total_p2_male,
// sum(case when class ='p4' AND  (gender = 'female' OR  gender = 'Female' OR  gender = 'F') then 1 else 0 end) AS total_p4_female, 
// sum(case when class ='p4' AND  (gender = 'male' OR  gender = 'Male' OR  gender = 'M') then 1 else 0 end) AS total_p4_male
// FROM students_nst_new";
// $count_result = mysqli_query($_SESSION['db_con'], $count_query);
// $count_row = mysqli_fetch_array($count_result);

// $students_query = "SELECT l.id, l.first_name, s.score as english_total FROM learners l 
// LEFT JOIN scores s ON s.student_id = l.nst_index_number AND s.quest_code = 'total' ORDER BY l.first_name ASC";
// $students_result = mysqli_query($_SESSION['db_con'], $students_query);
// $students_row = mysqli_fetch_assoc($students_result);

$students_table = "";
$top_10_students_table = "";
$math_proficient_count = 0;
$math_advanced_count = 0;
$math_below_basic_count = 0;
$math_basic_count = 0;
$proficient_count = 0;
$advanced_count = 0;
$below_basic_count = 0;
$basic_count = 0;
$total_count = 0;
$english_all_percentages_sum = 0;
$english_all_percentages_total = 0;
$math_all_percentages_sum = 0;
$math_all_percentages_total = 0;
$count = 1;

do {

    $school_name = $students_row['school_name'];
    $english_marks = $students_row['english_score'];
    $english_percentage = round(fdiv($english_marks, 35) * 100, 2);
    if ($english_marks > 0 && is_numeric($english_percentage) && !is_nan($english_percentage)) {
        $english_all_percentages_sum = $english_all_percentages_sum + $english_percentage;
        $english_all_percentages_total++;
    }

    $math_marks = $students_row['math_score'];
    $maths_percentage = round(fdiv($math_marks, 35) * 100, 2);
    if ($math_marks > 0 && is_numeric($maths_percentage) && !is_nan($maths_percentage)) {
        $math_all_percentages_sum = $math_all_percentages_sum + $maths_percentage;
        $math_all_percentages_total++;
    }

    $proficiency = '';
    $total_count++;

    if ($english_percentage > 0 && $english_percentage <= 49) {
        $proficiency = 'Below Basic';
        $below_basic_count++;
    } else if ($english_percentage >= 50 && $english_percentage < 66) {
        $proficiency = 'Basic';
        $basic_count++;
    } else if ($english_percentage >= 66 && $english_percentage < 80) {
        $proficiency = '<span class="badge badge-pending">Proficient</span>';
        $proficient_count++;
    } else if ($english_percentage >= 80) {
        $proficiency = '<span class="badge badge-complete">Advanced</span>';
        $advanced_count++;
    }

    if ($maths_percentage > 0 && $maths_percentage <= 49) {
        $proficiency_math = 'Below Basic';
        $math_below_basic_count++;
    } else if ($maths_percentage >= 50 && $maths_percentage < 66) {
        $proficiency_math = 'Basic';
        $math_basic_count++;
    } else if ($maths_percentage >= 66 && $maths_percentage < 80) {
        $proficiency_math = '<span class="badge badge-pending">Proficient</span>';
        $math_proficient_count++;
    } else if ($maths_percentage >= 80) {
        $proficiency_math = '<span class="badge badge-complete">Advanced </span>';
        $math_advanced_count++;
    }

    if ($year == '2021')
        $student_url = "#";
    else {
        $student_url = "student.php?sn=" . $students_row['index_number'] . "&year=" . $year . "&school_code=" . $uuid;
    }

    if ($count <= 10) {
        $top_10_students_table = $top_10_students_table . ' <tr>
        <td class="serial">' . $count . '.</td>
        <td class="avatar">
            <div class="round-img">
                <a href="' . $student_url . '" target="_blank"><img class="rounded-circle" src="images/avatar/child.jpeg" alt=""></a>
            </div>
        </td>
        <td> ' . $students_row['index_number'] . ' </td>
        <td>  <span class="name">' . $students_row['student_name'] . '</span> </td>
        <td><span class="count">' . $english_percentage . '</span></td>
        <td>
        ' . $proficiency . '
        </td>
        <td><span class="count">' . $maths_percentage . '</span></td>
        <td>
        ' . $proficiency_math . '
        </td>
        </tr>';
    }

    $students_table = $students_table .  "<tr>" .
        "<td><a href=\"" . $student_url . "\" target=\"_blank\">" .  strtoupper($students_row['student_name']) . "</td>" .
        "<td>" . $english_marks . "</td>" .
        "<td>" . $english_percentage . "</td>" .
        "<td>" . $proficiency . "</td>" .
        "<td>" . $math_marks . "</td>" .
        "<td>" . $maths_percentage . "</td>" .
        "<td>" . $proficiency_math . "</td>" .
        "</tr>";

    $count++;
} while ($students_row = mysqli_fetch_assoc($students_result));

$english_mean_score = round(fdiv($english_all_percentages_sum, $english_all_percentages_total), 2);
$math_mean_score = round(fdiv($math_all_percentages_sum, $math_all_percentages_total), 2);

$below_basic_count_math_percentage = round(fdiv($below_basic_count, $total_count) * 100, 2);
$basic_count_math_percentage = round(fdiv($basic_count, $total_count) * 100, 2);
$proficient_count_math_percentage = round(fdiv($proficient_count, $total_count) * 100, 2);
$advanced_count_math_percentage = round(fdiv($advanced_count, $total_count) * 100, 2);

?>
<!doctype html>
<!--[if lt IE 7]>      <html class="no-js lt-ie9 lt-ie8 lt-ie7" lang=""> <![endif]-->
<!--[if IE 7]>         <html class="no-js lt-ie9 lt-ie8" lang=""> <![endif]-->
<!--[if IE 8]>         <html class="no-js lt-ie9" lang=""> <![endif]-->
<!--[if gt IE 8]><!-->
<html class="no-js" lang="">
<!--<![endif]-->

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title><?php echo $school_name; ?></title>
    <meta name="description" content="NST Dashboard">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <link rel="apple-touch-icon" href="">
    <link rel="shortcut icon" href="">

    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/normalize.css@8.0.0/normalize.min.css">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.1.3/dist/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/font-awesome@4.7.0/css/font-awesome.min.css">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/gh/lykmapipo/themify-icons@0.1.2/css/themify-icons.css">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/pixeden-stroke-7-icon@1.2.3/pe-icon-7-stroke/dist/pe-icon-7-stroke.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/flag-icon-css/3.2.0/css/flag-icon.min.css">
    <link rel="stylesheet" href="assets/css/cs-skin-elastic.css">
    <link rel="stylesheet" href="assets/css/style.css">
    <!-- <script type="text/javascript" src="https://cdn.jsdelivr.net/html5shiv/3.7.3/html5shiv.min.js"></script> -->
    <link href="https://cdn.jsdelivr.net/npm/chartist@0.11.0/dist/chartist.min.css" rel="stylesheet">
    <link href="https://cdn.jsdelivr.net/npm/jqvmap@1.5.1/dist/jqvmap.min.css" rel="stylesheet">

    <link href="https://cdn.jsdelivr.net/npm/weathericons@2.1.0/css/weather-icons.css" rel="stylesheet" />
    <link href="https://cdn.jsdelivr.net/npm/fullcalendar@3.9.0/dist/fullcalendar.min.css" rel="stylesheet" />

    <style>
        #weatherWidget .currentDesc {
            color: #ffffff !important;
        }

        .traffic-chart {
            min-height: 335px;
        }

        #flotPie1 {
            height: 150px;
        }

        #flotPie1 td {
            padding: 0px;
        }

        #flotPie1 table {
            top: 20px !important;
            right: 0px !important;
        }

        .chart-container {
            display: table;
            min-width: 295px;
            text-align: left;
            padding-top: 10px;
            padding-bottom: 10px;
        }

        #flotLine5 {
            height: 105px;
        }

        #flotBarChart {
            height: 150px;
        }

        #cellPaiChart {
            height: 160px;
        }
    </style>
</head>

<body>
    <!-- Left Panel -->
    <?php include 'side_menu.php'; ?>
    <!-- /#left-panel -->
    <!-- Right Panel -->
    <div id="right-panel" class="right-panel">
        <!-- Header-->
        <header id="header" class="header">
            <?php include 'top_bar.php'; ?>
        </header>
        <!-- /#header -->
        <!-- Breadcrumbs-->
        <div class="breadcrumbs">
            <div class="breadcrumbs-inner">
                <div class="row m-0">
                    <div class="col-sm-4">
                        <div class="page-header float-left">
                            <div class="page-title">
                                <h1><?php echo $school_name . " - " . $_SESSION['year'] ?></h1>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
        <!-- /.breadcrumbs-->
        <!-- Content -->
        <div class="content">
            <!-- Animated -->
            <div class="animated fadeIn">
                <div class="row">
                    <div class="col-lg-3 col-md-6">
                        <div class="card">
                            <div class="card-body">
                                <div class="stat-widget-five">
                                    <div class="stat-icon dib flat-color-1">
                                        <i class="pe-7s-users"></i>
                                    </div>
                                    <div class="stat-content">
                                        <div class="text-left dib">
                                            <div class="stat-text"><span class="count"><?php echo $math_below_basic_count; ?></span></div>
                                            <div class="stat-heading">Below Basic (Math)</div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="col-lg-3 col-md-6">
                        <div class="card">
                            <div class="card-body">
                                <div class="stat-widget-five">
                                    <div class="stat-icon dib flat-color-2">
                                        <i class="pe-7s-users"></i>
                                    </div>
                                    <div class="stat-content">
                                        <div class="text-left dib">
                                            <div class="stat-text"><span class="count"><?php echo $math_basic_count; ?></span></div>
                                            <div class="stat-heading">Basic (Math)</div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="col-lg-3 col-md-6">
                        <div class="card">
                            <div class="card-body">
                                <div class="stat-widget-five">
                                    <div class="stat-icon dib flat-color-3">
                                        <i class="pe-7s-users"></i>
                                    </div>
                                    <div class="stat-content">
                                        <div class="text-left dib">
                                            <div class="stat-text"><span class="count"><?php echo $math_proficient_count; ?></span></div>
                                            <div class="stat-heading">Proficient (Math)</div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="col-lg-3 col-md-6">
                        <div class="card">
                            <div class="card-body">
                                <div class="stat-widget-five">
                                    <div class="stat-icon dib flat-color-4">
                                        <i class="pe-7s-users"></i>
                                    </div>
                                    <div class="stat-content">
                                        <div class="text-left dib">
                                            <div class="stat-text"><span class="count"><?php echo $math_advanced_count; ?></span></div>
                                            <div class="stat-heading">Advanced (Math)</div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- Widgets  -->
                <div class="row">

                    <div class="col-lg-3 col-md-6">
                        <div class="card text-white bg-flat-color-3">
                            <div class="card-body">
                                <div class="card-left pt-1 float-left">
                                    <h3 class="mb-0 fw-r">
                                        <span class="count"><?php echo $below_basic_count; ?></span>
                                    </h3>
                                    <p class="text-light mt-1 m-0">Below Basic (Eng)</p>
                                </div><!-- /.card-left -->

                                <div class="card-right float-right text-right">
                                    <i class="icon fade-5 icon-lg pe-7s-users"></i>
                                </div><!-- /.card-right -->

                            </div>

                        </div>
                    </div>

                    <div class="col-lg-3 col-md-6">
                        <div class="card text-white bg-flat-color-2">
                            <div class="card-body">
                                <div class="card-left pt-1 float-left">
                                    <h3 class="mb-0 fw-r">
                                        <span class="count"><?php echo $basic_count; ?></span>
                                    </h3>
                                    <p class="text-light mt-1 m-0">Basic (Eng)</p>
                                </div><!-- /.card-left -->

                                <div class="card-right float-right text-right">
                                    <i class="icon fade-5 icon-lg pe-7s-users"></i>
                                </div><!-- /.card-right -->

                            </div>

                        </div>
                    </div>

                    <div class="col-lg-3 col-md-6">
                        <div class="card text-white bg-flat-color-1">
                            <div class="card-body">
                                <div class="card-left pt-1 float-left">
                                    <h3 class="mb-0 fw-r">
                                        <span class="count"><?php echo $proficient_count; ?></span>
                                    </h3>
                                    <p class="text-light mt-1 m-0">Proficient (Eng)</p>
                                </div><!-- /.card-left -->

                                <div class="card-right float-right text-right">
                                    <i class="icon fade-5 icon-lg pe-7s-users"></i>
                                </div><!-- /.card-right -->

                            </div>

                        </div>
                    </div>

                    <div class="col-lg-3 col-md-6">
                        <div class="card text-white bg-flat-color-4">
                            <div class="card-body">
                                <div class="card-left pt-1 float-left">
                                    <h3 class="mb-0 fw-r">
                                        <span class="count"><?php echo $advanced_count; ?></span>
                                    </h3>
                                    <p class="text-light mt-1 m-0">Advanced (Eng)</p>
                                </div><!-- /.card-left -->

                                <div class="card-right float-right text-right">
                                    <i class="icon fade-5 icon-lg pe-7s-users"></i>
                                </div><!-- /.card-right -->

                            </div>

                        </div>
                    </div>

                </div>

                <div class="clearfix"></div>

                <div class="row">
                    <div class="col-lg-4 col-md-6">
                        <div class="card br-0">
                            <div class="card-body">
                                <h4 class="card-title m-0  black-color ">English Performance cut-points</h4>
                                <div class="chart-container ov-h">
                                    <div id="flotPie1" class="float-chart"></div>
                                </div>
                            </div>
                        </div><!-- /.card -->
                    </div>

                    <div class="col-lg-4 col-md-6">
                        <div class="card text-white bg-flat-color-1">
                            <div class="card-body">
                                <h4 class="card-title m-0  black-color ">Maths Mean Score %</h4>
                            </div>
                            <div class="card-body">
                                <div id="flotLine5" class="flot-line">
                                    <h1 class="card-title m-0  black-color "><?php echo $math_mean_score ?>%</h1>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="col-lg-4 col-md-6">
                        <div class="card bg-flat-color-3  ">
                            <div class="card-body">
                                <h4 class="card-title m-0  white-color ">English Mean Score %</h4>
                            </div>
                            <div class="card-body">
                                <div id="flotLine5" class="flot-line">
                                    <h1 class="card-title m-0  white-color "><?php echo $english_mean_score ?>%</h1>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="clearfix"></div>
                <!-- Orders -->
                <div class="orders">
                    <div class="row">
                        <div class="col-xl-12">
                            <div class="card">
                                <div class="card-body">
                                    <h4 class="box-title">Top 10 Performing Students </h4>
                                </div>
                                <div class="card-body--">
                                    <div class="table-stats order-table ov-h">
                                        <table class="table ">
                                            <thead>
                                                <tr>
                                                    <th class="serial">#</th>
                                                    <th class="avatar">Photo</th>
                                                    <th>ID</th>
                                                    <th>Name</th>
                                                    <th>English%</th>
                                                    <th>English</th>
                                                    <th>Math%</th>
                                                    <th>Math</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <?php
                                                echo $top_10_students_table;
                                                ?>
                                            </tbody>
                                        </table>
                                    </div> <!-- /.table-stats -->
                                </div>
                            </div> <!-- /.card -->
                        </div> <!-- /.col-lg-8 -->

                    </div>
                </div>

                <div class="clearfix"></div>

                <div class="row">

                    <div class="col-md-12">
                        <div class="card">
                            <div class="card-header">
                                <strong class="card-title">Students</strong>
                            </div>
                            <div class="card-body">
                                <table id="bootstrap-data-table" class="table table-striped table-bordered">
                                    <thead>
                                        <tr>
                                            <th>Name</th>
                                            <th>English</th>
                                            <th>English %</th>
                                            <th>English Proficiency</th>
                                            <th>Math</th>
                                            <th>Math %</th>
                                            <th>Math Proficiency</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php
                                        echo $students_table;
                                        ?>

                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>


                </div>

                <!-- /#add-category -->
            </div>
            <!-- .animated -->
        </div>
        <!-- /.content -->
        <div class="clearfix"></div>
        <!-- Footer -->
        <footer class="site-footer">
            <div class="footer-inner bg-white">
                <div class="row">
                    <div class="col-sm-6">
                        Copyright &copy; 2022 MoE - NST
                    </div>
                    <!-- <div class="col-sm-6 text-right">
                        Designed by <a href="https://colorlib.com">Colorlib</a>
                    </div> -->
                </div>
            </div>
        </footer>
        <!-- /.site-footer -->
    </div>
    <!-- /#right-panel -->

    <!-- Scripts -->
    <script src="https://cdn.jsdelivr.net/npm/jquery@2.2.4/dist/jquery.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.14.4/dist/umd/popper.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.1.3/dist/js/bootstrap.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/jquery-match-height@0.7.2/dist/jquery.matchHeight.min.js"></script>
    <script src="assets/js/main.js"></script>

    <!--  Chart js -->
    <script src="https://cdn.jsdelivr.net/npm/chart.js@2.7.3/dist/Chart.bundle.min.js"></script>

    <!--Chartist Chart-->
    <script src="https://cdn.jsdelivr.net/npm/chartist@0.11.0/dist/chartist.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/chartist-plugin-legend@0.6.2/chartist-plugin-legend.min.js"></script>

    <script src="https://cdn.jsdelivr.net/npm/jquery.flot@0.8.3/jquery.flot.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/flot-pie@1.0.0/src/jquery.flot.pie.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/flot-spline@0.0.1/js/jquery.flot.spline.min.js"></script>

    <script src="https://cdn.jsdelivr.net/npm/simpleweather@3.1.0/jquery.simpleWeather.min.js"></script>
    <script src="assets/js/init/weather-init.js"></script>

    <script src="https://cdn.jsdelivr.net/npm/moment@2.22.2/moment.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/fullcalendar@3.9.0/dist/fullcalendar.min.js"></script>
    <script src="assets/js/init/fullcalendar-init.js"></script>

    <!--Local Stuff-->
    <script>
        jQuery(document).ready(function($) {
            "use strict";

            // Pie chart flotPie1
            var piedata = [{
                    label: "Below Basic " + <?php echo $below_basic_count_math_percentage; ?> + "%",
                    data: [
                        [1, <?php echo $below_basic_count_math_percentage; ?>]
                    ],
                    color: '#03a9f3'
                },
                {
                    label: "Basic " + <?php echo $basic_count_math_percentage; ?> + "%",
                    data: [
                        [1, <?php echo $basic_count_math_percentage; ?>]
                    ],
                    color: '#ab8ce4'
                },
                {
                    label: "Proficient " + <?php echo $proficient_count_math_percentage; ?> + "%",
                    data: [
                        [1, <?php echo $proficient_count_math_percentage; ?>]
                    ],
                    color: '#00c292'
                },
                {
                    label: "Advanced " + <?php echo $advanced_count_math_percentage; ?> + "%",
                    data: [
                        [1, <?php echo $advanced_count_math_percentage; ?>]
                    ],
                    color: '#fb9678'
                }
            ];

            $.plot('#flotPie1', piedata, {
                series: {
                    pie: {
                        show: true,
                        radius: 1,
                        innerRadius: 0.65,
                        label: {
                            show: true,
                            radius: 2 / 3,
                            threshold: 1
                        },
                        stroke: {
                            width: 0
                        }
                    }
                },
                grid: {
                    hoverable: true,
                    clickable: true
                }
            });
            // Pie chart flotPie1  End
            // cellPaiChart
            var cellPaiChart = [{
                    label: "Direct Sell",
                    data: [
                        [1, 65]
                    ],
                    color: '#5b83de'
                },
                {
                    label: "Channel Sell",
                    data: [
                        [1, 35]
                    ],
                    color: '#00bfa5'
                }
            ];
            $.plot('#cellPaiChart', cellPaiChart, {
                series: {
                    pie: {
                        show: true,
                        stroke: {
                            width: 0
                        }
                    }
                },
                legend: {
                    show: false
                },
                grid: {
                    hoverable: true,
                    clickable: true
                }

            });
            // cellPaiChart End
            // Line Chart  #flotLine5
            var newCust = [
                [0, 3],
                [1, 5],
                [2, 4],
                [3, 7],
                [4, 9],
                [5, 3],
                [6, 6],
                [7, 4],
                [8, 10]
            ];

            var plot = $.plot($('#flotLine5'), [{
                data: newCust,
                label: 'New Data Flow',
                color: '#fff'
            }], {
                series: {
                    lines: {
                        show: true,
                        lineColor: '#fff',
                        lineWidth: 2
                    },
                    points: {
                        show: true,
                        fill: true,
                        fillColor: "#ffffff",
                        symbol: "circle",
                        radius: 3
                    },
                    shadowSize: 0
                },
                points: {
                    show: true,
                },
                legend: {
                    show: false
                },
                grid: {
                    show: false
                }
            });
            // Line Chart  #flotLine5 End
            // Traffic Chart using chartist
            if ($('#traffic-chart').length) {
                var chart = new Chartist.Line('#traffic-chart', {
                    labels: ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun'],
                    series: [
                        [0, 18000, 35000, 25000, 22000, 0],
                        [0, 33000, 15000, 20000, 15000, 300],
                        [0, 15000, 28000, 15000, 30000, 5000]
                    ]
                }, {
                    low: 0,
                    showArea: true,
                    showLine: false,
                    showPoint: false,
                    fullWidth: true,
                    axisX: {
                        showGrid: true
                    }
                });

                chart.on('draw', function(data) {
                    if (data.type === 'line' || data.type === 'area') {
                        data.element.animate({
                            d: {
                                begin: 2000 * data.index,
                                dur: 2000,
                                from: data.path.clone().scale(1, 0).translate(0, data.chartRect.height()).stringify(),
                                to: data.path.clone().stringify(),
                                easing: Chartist.Svg.Easing.easeOutQuint
                            }
                        });
                    }
                });
            }
            // Traffic Chart using chartist End
            //Traffic chart chart-js
            if ($('#TrafficChart').length) {
                var ctx = document.getElementById("TrafficChart");
                ctx.height = 150;
                var myChart = new Chart(ctx, {
                    type: 'line',
                    data: {
                        labels: ["Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul"],
                        datasets: [{
                                label: "Visit",
                                borderColor: "rgba(4, 73, 203,.09)",
                                borderWidth: "1",
                                backgroundColor: "rgba(4, 73, 203,.5)",
                                data: [0, 2900, 5000, 3300, 6000, 3250, 0]
                            },
                            {
                                label: "Bounce",
                                borderColor: "rgba(245, 23, 66, 0.9)",
                                borderWidth: "1",
                                backgroundColor: "rgba(245, 23, 66,.5)",
                                pointHighlightStroke: "rgba(245, 23, 66,.5)",
                                data: [0, 4200, 4500, 1600, 4200, 1500, 4000]
                            },
                            {
                                label: "Targeted",
                                borderColor: "rgba(40, 169, 46, 0.9)",
                                borderWidth: "1",
                                backgroundColor: "rgba(40, 169, 46, .5)",
                                pointHighlightStroke: "rgba(40, 169, 46,.5)",
                                data: [1000, 5200, 3600, 2600, 4200, 5300, 0]
                            }
                        ]
                    },
                    options: {
                        responsive: true,
                        tooltips: {
                            mode: 'index',
                            intersect: false
                        },
                        hover: {
                            mode: 'nearest',
                            intersect: true
                        }

                    }
                });
            }
            //Traffic chart chart-js  End
            // Bar Chart #flotBarChart
            $.plot("#flotBarChart", [{
                data: [
                    [0, 18],
                    [2, 8],
                    [4, 5],
                    [6, 13],
                    [8, 5],
                    [10, 7],
                    [12, 4],
                    [14, 6],
                    [16, 15],
                    [18, 9],
                    [20, 17],
                    [22, 7],
                    [24, 4],
                    [26, 9],
                    [28, 11]
                ],
                bars: {
                    show: true,
                    lineWidth: 0,
                    fillColor: '#ffffff8a'
                }
            }], {
                grid: {
                    show: false
                }
            });
            // Bar Chart #flotBarChart End
        });
    </script>

    <script src="assets/js/lib/data-table/datatables.min.js"></script>
    <script src="assets/js/lib/data-table/dataTables.bootstrap.min.js"></script>
    <script src="assets/js/lib/data-table/dataTables.buttons.min.js"></script>
    <script src="assets/js/lib/data-table/buttons.bootstrap.min.js"></script>
    <script src="assets/js/lib/data-table/jszip.min.js"></script>
    <script src="assets/js/lib/data-table/vfs_fonts.js"></script>
    <script src="assets/js/lib/data-table/buttons.html5.min.js"></script>
    <script src="assets/js/lib/data-table/buttons.print.min.js"></script>
    <script src="assets/js/lib/data-table/buttons.colVis.min.js"></script>
    <script src="assets/js/init/datatables-init.js"></script>

    <script type="text/javascript">
        $(document).ready(function() {
            $('#bootstrap-data-table-export').DataTable();
        });
    </script>

    <script src="https://cdn.jsdelivr.net/npm/peity@3.3.0/jquery.peity.min.js"></script>
    <!-- scripit init-->
    <script src="assets/js/init/peitychart-init.js"></script>


    <!-- scripit init-->
</body>

</html>