<?php
include 'database/db.php';
include 'Utils.php';
include 'login_redirect.php';


$_SESSION['year'] = '2022';

if ($_SESSION['year'] == '2022') {
    include 'queries_school_page.php';
    $regions_query =  "SELECT DISTINCT(l.code) as region_code, l.name as region_name  FROM students student
    LEFT JOIN location l ON student.region_code = l.code AND l.type = 'R' 
    WHERE l.code != 'NULL' GROUP BY student.region_code ORDER BY region_name ASC";
} else if ($_SESSION['year'] == '2021') {
    include 'queries_schools_page_2021.php';
    $regions_query = "SELECT DISTINCT region_name, region_name as region_code From scores_2021 GROUP BY region_name ORDER BY region_name ASC";
}


//$regions_query = "SELECT DISTINCT region_name From scores_2021 ORDER BY region_name ASC";
$regions_result = mysqli_query($_SESSION['db_con'], $regions_query);
$regions_row = mysqli_fetch_assoc($regions_result);


?>
<!doctype html>
<!--[if lt IE 7]>      <html class="no-js lt-ie9 lt-ie8 lt-ie7" lang=""> <![endif]-->
<!--[if IE 7]>         <html class="no-js lt-ie9 lt-ie8" lang=""> <![endif]-->
<!--[if IE 8]>         <html class="no-js lt-ie9" lang=""> <![endif]-->
<!--[if gt IE 8]><!-->
<html class="no-js" lang="">
<!--<![endif]-->

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>NST Schools</title>
    <meta name="description" content="NST Dashboard">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <link rel="apple-touch-icon" href="">
    <link rel="shortcut icon" href="">

    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/normalize.css@8.0.0/normalize.min.css">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.1.3/dist/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/font-awesome@4.7.0/css/font-awesome.min.css">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/gh/lykmapipo/themify-icons@0.1.2/css/themify-icons.css">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/pixeden-stroke-7-icon@1.2.3/pe-icon-7-stroke/dist/pe-icon-7-stroke.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/flag-icon-css/3.2.0/css/flag-icon.min.css">
    <link rel="stylesheet" href="assets/css/cs-skin-elastic.css">
    <link rel="stylesheet" href="assets/css/style.css">
    <!-- <script type="text/javascript" src="https://cdn.jsdelivr.net/html5shiv/3.7.3/html5shiv.min.js"></script> -->
    <link href="https://cdn.jsdelivr.net/npm/chartist@0.11.0/dist/chartist.min.css" rel="stylesheet">
    <link href="https://cdn.jsdelivr.net/npm/jqvmap@1.5.1/dist/jqvmap.min.css" rel="stylesheet">

    <link href="https://cdn.jsdelivr.net/npm/weathericons@2.1.0/css/weather-icons.css" rel="stylesheet" />
    <link href="https://cdn.jsdelivr.net/npm/fullcalendar@3.9.0/dist/fullcalendar.min.css" rel="stylesheet" />

    <script type="text/javascript">
        function updateYear(year, page, area) {
            $.ajax({
                url: 'year_update.php?year=' + year + '&page=' + page,
                success: function(data) {
                    $(area).html(data);
                }
            });
        }
    </script>
    <script type="text/javascript">
        function updatePage(location_id, location_type, area) {
            $.ajax({
                url: 'schools_page_update.php?location_id=' + location_id +
                    '&location_type=' + location_type,
                success: function(data) {
                    $(area).html(data);
                }
            });
        }
    </script>
    <script type="text/javascript">
        function filterLocations(parent_type, parent_id, child_type, area, page) {
            $.ajax({
                url: 'filter_locations.php?parent_id=' + parent_id + '&child_type=' + child_type +
                    '&parent_type=' + parent_type + '&page=' + page,
                success: function(data) {
                    $(area).html(data);
                }
            });
        }
    </script>
    <script type="text/javascript">
        function renderRegion(area) {
            $.ajax({
                url: 'render_region.php',
                success: function(data) {
                    $(area).html(data);
                }
            });
        }
    </script>

</head>

<body>
    <!-- Left Panel -->
    <?php include 'side_menu.php'; ?>
    <!-- /#left-panel -->
    <!-- Right Panel -->
    <div id="right-panel" class="right-panel">
        <!-- Header-->
        <header id="header" class="header">
            <?php include 'top_bar.php'; ?>
        </header>
        <!-- /#header -->
        <!-- Breadcrumbs-->
        <div class="breadcrumbs">
            <div class="breadcrumbs-inner">
                <div class="row m-0">
                    <div class="col-sm-4">
                        <div class="page-header float-left">
                            <div class="page-title">
                                <h1>Schools</h1>
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-8">
                        <div class="page-header float-right">
                            <div class="page-title">
                                <ol class="breadcrumb text-right">
                                    <li class="active">
                                        <select name="select_year" id="select_year" class="form-control-lg form-control" onChange="updateYear(this.value, 'schools', '#info_board_div'); <?php if (userIsAdmin()) echo 'renderRegion(\'#regions_div\');' ?>">
                                            <option value="2022">2022</option>
                                            <option value="2021">2021</option>
                                        </select>
                                    </li>
                                    <li class="active">
                                        <div id="regions_div">
                                            <?php if (userIsAdmin() || userIsSuperAdmin()) include 'region.php'; ?>
                                        </div>
                                    </li>
                                    <li class="active">
                                        <div id="districts_div">

                                        </div>
                                    </li>
                                </ol>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- /.breadcrumbs-->
        <!-- Content -->
        <div class="content">
            <!-- Animated -->
            <div class="animated fadeIn" id="info_board_div">
                <?php include 'schools_content.php'; ?>
                <!-- /#add-category -->
            </div>
            <!-- .animated -->
        </div>
        <!-- /.content -->
        <div class="clearfix"></div>
        <?php include 'footer.php'; ?>
    </div>
    <!-- /#right-panel -->

    <!-- Scripts -->
    <script src="https://cdn.jsdelivr.net/npm/jquery@2.2.4/dist/jquery.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.14.4/dist/umd/popper.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.1.3/dist/js/bootstrap.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/jquery-match-height@0.7.2/dist/jquery.matchHeight.min.js"></script>
    <script src="assets/js/main.js"></script>

    <!--  Chart js -->
    <script src="https://cdn.jsdelivr.net/npm/chart.js@2.7.3/dist/Chart.bundle.min.js"></script>
    <script src="assets/js/init/chartjs-init.js"></script>

    <!--Chartist Chart-->
    <script src="https://cdn.jsdelivr.net/npm/chartist@0.11.0/dist/chartist.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/chartist-plugin-legend@0.6.2/chartist-plugin-legend.min.js"></script>

    <script src="https://cdn.jsdelivr.net/npm/jquery.flot@0.8.3/jquery.flot.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/flot-pie@1.0.0/src/jquery.flot.pie.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/flot-spline@0.0.1/js/jquery.flot.spline.min.js"></script>

    <script src="https://cdn.jsdelivr.net/npm/simpleweather@3.1.0/jquery.simpleWeather.min.js"></script>
    <script src="assets/js/init/weather-init.js"></script>

    <script src="https://cdn.jsdelivr.net/npm/moment@2.22.2/moment.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/fullcalendar@3.9.0/dist/fullcalendar.min.js"></script>
    <script src="assets/js/init/fullcalendar-init.js"></script>


    <script src="https://cdn.jsdelivr.net/npm/peity@3.3.0/jquery.peity.min.js"></script>
    <!-- scripit init-->
    <script src="assets/js/init/peitychart-init.js"></script>

    <!-- scripit init-->
</body>

</html>