<?php
include 'database/db.php';
include 'Utils.php';

$entityBody = file_get_contents('php://input');

if (!empty($entityBody)) {
    error_log('Received Request: ' . $entityBody);

    $jsa = json_decode($entityBody);
    $session_id = $jsa->{'SessionId'};
    $mobile_number = $jsa->{'Mobile'};
    $squence = $jsa->{'Sequence'};
    $operator = $jsa->{'Operator'};
    $message = $jsa->{'Message'};
    $client_state = $jsa->{'ClientState'};
    $service_code = $jsa->{'ServiceCode'};
    $momo_operator = '';
    $recurring_payments = false;

    // $filePath = "calback/" . $session_id . "_ussd.json";
    // $fp = fopen($filePath, 'w+');
    // fwrite($fp, $entityBody);
    // fclose($fp);

    if ($operator == 'mtn') {
        $momo_operator = 'mtn_gh_rec';
        $recurring_payments = true;
    } elseif ($operator == 'vodafone') {
        $momo_operator = 'vodafone_gh_rec';
        $recurring_payments = true;
    }

    $response = [];

    if ($squence == 1) {

        // $payment->set_sessionId($session_id);
        // $payment->set_totalAmount(0);
        // $payment->set_momo_operator($momo_operator);
        // $payment->set_momo_number($mobile_number);
        // $payment->set_currency('GHS');
        // $payment->set_mode('ussd_momo');
        // $payment->set_clientReference('N/A');
        // $paymentDAO->insert($payment);

        $response = [
            'SessionId' => $session_id,
            'Type' => 'Response',
            'Message' =>
            "Welcome to the Ministry of Education portal. What do you want to do? \n1. Check NST Results\n2. Check EMIS Student ID\n3. Check EMIS School Code\n4. Check EMIS Teacher Code",
            'Mask' => null,
            'MaskNextRoute' => null,
            'Item' => null,
            'ServiceCode' => null,
            'Label' => 'Welcome to the Ministry of Education portal.',
            'DataType' => 'select',
            'FieldType' => 'number',
            'Data' => null,
        ];
    } elseif ($squence == 2) {
        $profile = $profileDAO->selectById($message);

        if ($profile != null) {
            $payments = $paymentDAO->selectByCondition(" sessionId = '" . $session_id . "'");

            if (sizeof($payments) >= 1) {
                $payment = $payments[0];
                $payment->set_benefactor_id($profile->id);

                $paymentDAO->update($payment);
            }

            $response = [
                'SessionId' => $session_id,
                'Type' => 'Response',
                'Message' => 'How much do you want to donate to ' . $profile->name,
                'Mask' => null,
                'MaskNextRoute' => null,
                'Item' => null,
                'ServiceCode' => null,
                'Label' => 'How much do you want to donate to ' . $profile->name,
                'DataType' => 'input',
                'FieldType' => 'decimal',
                'ClientState' => $message,
                'Data' => null,
            ];
        } else {
            $response = [
                'SessionId' => $session_id,
                'Type' => 'Release',
                'Message' => 'There is no beneficiary with this code. Please check and try again',
                'Mask' => null,
                'MaskNextRoute' => null,
                'ServiceCode' => null,
                'Label' => 'There is no beneficiary with this code. Please check and try again',
                'DataType' => 'display',
                'FieldType' => 'text',
                'Data' => null,
            ];
        }
    } elseif ($squence == 3) {
        $response = [
            'SessionId' => $session_id,
            'Type' => 'AddToCart',
            'Message' =>
            'We are processing your donation, Please wait for a payment prompt to approve it.',
            'Mask' => null,
            'MaskNextRoute' => null,
            'Item' => [
                'ItemName' => 'Hope Fund GH Donation',
                'Qty' => 1,
                'Price' => intval($message),
            ],
            'ServiceCode' => null,
            'Label' =>
            'We are processing your donation, Please wait for a payment prompt to approve it.',
            'DataType' => 'display',
            'FieldType' => 'text',
            'Data' => null,
        ];
    }

    $responseJSON = json_encode($response);
    error_log('RESPONSE ... ' . $responseJSON);
    header('Content-type: application/json');
    echo $responseJSON;
}
